cutlass::reference::device::detail::TensorFillRandomUniformFunc< Element, Layout > Struct Template Reference

Computes a random Gaussian distribution. More...

`#include <tensor_fill.h>`

Collaboration diagram for cutlass::reference::device::detail::TensorFillRandomUniformFunc< Element, Layout >:
[legend]

## Classes

struct | Params
| Parameters structure. More...

## Public Types

using | TensorView = TensorView< Element, Layout >
| View type. More...
typedef TensorView::Element | T
| Scalar type. More...
typedef TensorView::TensorCoord | TensorCoord
| Coordinate in tensor's index space. More...
using | RandomFunc = RandomUniformFunc< Element >

## Public Member Functions

CUTLASS_DEVICE | TensorFillRandomUniformFunc (Params const &params)
| Device-side initialization of RNG. More...
CUTLASS_DEVICE void | operator() (TensorCoord const &coord)
| Compute random value and update RNG state. More...

## Public Attributes

Params | params
RandomFunc | random

## Detailed Description

### template<typename Element, typename Layout>
struct cutlass::reference::device::detail::TensorFillRandomUniformFunc< Element, Layout >

< Layout function

## Member Typedef Documentation

template<typename Element , typename Layout >

using cutlass::reference::device::detail::TensorFillRandomUniformFunc< Element, Layout >::RandomFunc = RandomUniformFunc<Element>

template<typename Element , typename Layout >

typedef TensorView::Element cutlass::reference::device::detail::TensorFillRandomUniformFunc< Element, Layout >::T

template<typename Element , typename Layout >

typedef TensorView::TensorCoord cutlass::reference::device::detail::TensorFillRandomUniformFunc< Element, Layout >::TensorCoord

template<typename Element , typename Layout >

using cutlass::reference::device::detail::TensorFillRandomUniformFunc< Element, Layout >::TensorView = TensorView<Element, Layout>

## Constructor & Destructor Documentation

template<typename Element , typename Layout >

CUTLASS_DEVICE cutlass::reference::device::detail::TensorFillRandomUniformFunc< Element, Layout >::TensorFillRandomUniformFunc | ( | Params const & | params | ) |

inline

## Member Function Documentation

template<typename Element , typename Layout >

CUTLASS_DEVICE void cutlass::reference::device::detail::TensorFillRandomUniformFunc< Element, Layout >::operator() | ( | TensorCoord const & | coord | ) |

inline

## Member Data Documentation

template<typename Element , typename Layout >

Params cutlass::reference::device::detail::TensorFillRandomUniformFunc< Element, Layout >::params

template<typename Element , typename Layout >

RandomFunc cutlass::reference::device::detail::TensorFillRandomUniformFunc< Element, Layout >::random

The documentation for this struct was generated from the following file:

- device/tensor_fill.h